FROM ccr.ccs.tencentyun.com/qg-qa/python

ARG BUILD_NUMBER
ARG SYSTEM_NAME
ARG BUILD_TIME

USER root
WORKDIR /home/quant_group

ARG BUILD_SCHEMA
ARG SYSTEM_NAME

ENV BUILD_SCHEMA=$BUILD_SCHEMA
ENV SYSTEM_NAME=$SYSTEM_NAME

COPY docker-entrypoint.sh .
COPY dist.tgz ./dist.tgz

RUN chmod +x ./docker-entrypoint.sh
#
#RUN yum -y update
#RUN yum install -y epel-release
#RUN yum install -y python-pip
#RUN python -m pip install --upgrade pip

CMD ["sh", "docker-entrypoint.sh"]
